config: fix HP-UX PA-RISC detection.
authorAndy Polyakov <appro@openssl.org>
Mon, 14 Mar 2016 12:42:48 +0000 (13:42 +0100)
committerRichard Levitte <levitte@openssl.org>
Mon, 14 Mar 2016 13:41:35 +0000 (14:41 +0100)
Reviewed-by: Richard Levitte <levitte@openssl.org>
config

diff --git a/config b/config
index fb24a5d..21c867f 100755 (executable)
--- a/config
+++ b/config
@@ -767,8 +767,13 @@ case "$GUESSOS" in
                  (trap "stty `stty -g`; exit 0" 2 0; stty -icanon min 0 time 50; read waste) <&1
                fi
             fi
+            # PA-RISC 2.0 is no longer supported as separate 32-bit
+            # target. This is compensated for by run-time detection
+            # in most critical assembly modules and taking advantage
+            # of 2.0 architectire in PA-RISC 1.1 build.
+            OUT="hpux-parisc1_1-${CC}"
        elif [ $CPU_VERSION -ge 528 ]; then     # PA-RISC 1.1+ CPU
-            OUT="hpux-parisc-${CC}"
+            OUT="hpux-parisc1_1-${CC}"
        elif [ $CPU_VERSION -ge 523 ]; then     # PA-RISC 1.0 CPU
             OUT="hpux-parisc-${CC}"
        else                                    # Motorola(?) CPU